gnutls_openpgp_crt_check_hostname(3)

NAME
gnutls_openpgp_crt_check_hostname - API function

SYNOPSIS
#include <gnutls/openpgp.h>

int gnutls_openpgp_crt_check_hostname(gnutls_openpgp_crt_t key, const char * hostname);

ARGUMENTS

gnutls_openpgp_crt_t key
    should contain a gnutls_openpgp_crt_t type

const char * hostname
    A null terminated string that contains a DNS name

DESCRIPTION
This function will check if the given key's owner matches the given hostname. This is a basic implementation of the matching described in RFC2818 (HTTPS), which takes into account wildcards.

RETURNS
non-zero for a successful match, and zero on failure.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2016 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/